module Screenshots
  class Configuration
    attr_accessor :blog_assets_url, :image_extension

    def initialize
      self.blog_assets_url = ''
      self.image_extension = 'jpg'
    end
  end

  class << self
    attr_accessor :configuration
  end

  def self.configuration
    @configuration ||= Configuration.new
  end

  def self.configure
    yield(configuration) if block_given?
  end
end
